/*
**  Copyright (C) 1993-1996, OFFIS, Oldenburg University and CERIUM
**  
**  This software and supporting documentation were
**  developed by 
**  
**    Institut OFFIS
**    Bereich Kommunikationssysteme
**    Westerstr. 10-12
**    26121 Oldenburg, Germany
**    
**    Fachbereich Informatik
**    Abteilung Prozessinformatik
**    Carl von Ossietzky Universitaet Oldenburg 
**    Ammerlaender Heerstr. 114-118
**    26111 Oldenburg, Germany
**    
**    CERIUM
**    Laboratoire SIM
**    Faculte de Medecine
**    2 Avenue du Pr. Leon Bernard
**    35043 Rennes Cedex, France
**  
**  for CEN/TC251/WG4 as a contribution to the Radiological 
**  Society of North America (RSNA) 1993 Digital Imaging and 
**  Communications in Medicine (DICOM) Demonstration.
**  
**  THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
**  OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING 
**  THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR 
**  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER 
**  DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION.  THE 
**  ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE   
**  IS WITH THE USER. 
**  
**  Copyright of the software and supporting documentation
**  is, unless otherwise stated, jointly owned by OFFIS,
**  Oldenburg University and CERIUM and free access is hereby
**  granted as a license to use this software, copy this
**  software and prepare derivative works based upon this
**  software. However, any distribution of this software
**  source code or supporting documentation or derivative
**  works (source code and supporting documentation) must
**  include the three paragraphs of this copyright notice. 
** 
*/

#ifndef __CTNDISP_SUPPORT_H
#define __CTNDISP_SUPPORT_H

#include "ctndcons.h"

typedef struct	_ImageStruct{
	int	nrows,	/* Number of rows in image	*/
	ncols,	/* Number of columns in image	*/
	xpos,	/* X position on display	*/
	ypos,	/* Y position on display	*/
	nbits,	/* Bits allocated per pixel	*/
	highbit,/* High bit for pixels		*/
	pixrep,	/* Pixel representation		*/
	pixsize,/* Pixel size			*/
	smethod;/* The scaling method		*/
	float	m,	/* The slope			*/
	b,	/* The y intercept		*/
	window,	/* The Window width		*/
	level;	/* The Window Level		*/
	char	study[MAX_STRING_LENGTH],
	patname[MAX_STRING_LENGTH],
	date[MAX_STRING_LENGTH],
	modality[MAX_STRING_LENGTH],
	patstring[MAX_STRING_LENGTH];
	int	error_condition;
	char	error_message[MAX_STRING_LENGTH];
	unsigned char	
	*data;	/* the image data		*/
}ImageStruct;

void ShowElement(QUEUE_Element tempelement);               /* ctndisp.c main calls this. in ShowElement the associations 
                                                             are put or removed from internal association list, 
                                                             and showoperation is called  */
void PutInList(QUEUE_Element tempelement);                /* Puts a new association in the list */ 
void RemoveFromList(QUEUE_Element tempelement);           /* Removes a  association from the list */
void KillRemoveFromList(QUEUE_Element tempelement);       /* removes one or all associations */
void ShowOperation(QUEUE_Element tempelement);            /* searches the window to the recieved queueelement and 
                                                             calls the  wanted Operation-function */
/* the functions do nearly the same, only put the correct information in the show_list_strings */
void ShowStart(int counter);
void ShowStore(int counter);
void ShowFind(int counter);
void ShowMove(int counter);
void ShowPrint(int counter);
void ShowImage(int counter);
void ShowStop(int counter);

int CTNDISP_LoadGrayMap(int n);                             /* allocates up to G_ncolors grayvalues */
int CTNDISP_InitializeX(int ncolors);                       /* x init stuff, returns "true" on success */
void CTNDISP_RefreshImageData(XEvent event);                /* refreshes the Imagewindows on xexpose events */
void Image_Remove_From_List(QUEUE_Element tempelement);     /* if there a 4 images displayed, this function is called and removes the oldest image */
void CTNDISP_CreateShow();                                  /* make show_windows */
void CTNDISP_RefreshStatus();                               /* refresh all show windows (association windows) */
void CTNDISP_RefreshWindowArea(int windowarea);             /* refreshes  one show windows (association windows) */
void shared_error();                                        /* heavy error with shared memory, exits program */
int  CTNDISP_CreateGC(void);                                /* make fonts/colors, returns "true" on success */
void Set_Images_and_Show(int i, int s);                     /*is called from main switch in ctndisp (sets 2 or 4 
                                                              images in ctndsupp)*/
void ImageQueue(QUEUE_Element * tempelement, int command);  /*Queue for uncalculated images when MULTI is TRUE*/

#endif /* __CTNDISP_SUPPORT_H */
